Fix NEWS entry for M-SPC change.
[bpt/emacs.git] / m4 / gl-comp.m4
CommitLineData
743c80a7
PE
1# DO NOT EDIT! GENERATED AUTOMATICALLY!
2# Copyright (C) 2002-2011 Free Software Foundation, Inc.
3#
4# This file is free software, distributed under the terms of the GNU
5# General Public License. As a special exception to the GNU General
6# Public License, this file may be distributed as part of a program
7# that contains a configuration script generated by Autoconf, under
8# the same distribution terms as the rest of that program.
9#
10# Generated by gnulib-tool.
11#
12# This file represents the compiled summary of the specification in
13# gnulib-cache.m4. It lists the computed macro invocations that need
14# to be invoked from configure.ac.
15# In projects that use version control, this file can be treated like
16# other built files.
17
18
19# This macro should be invoked from ./configure.in, in the section
20# "Checks for programs", right after AC_PROG_CC, and certainly before
21# any checks for libraries, header files, types and library functions.
22AC_DEFUN([gl_EARLY],
23[
24 m4_pattern_forbid([^gl_[A-Z]])dnl the gnulib macro namespace
25 m4_pattern_allow([^gl_ES$])dnl a valid locale name
26 m4_pattern_allow([^gl_LIBOBJS$])dnl a variable
27 m4_pattern_allow([^gl_LTLIBOBJS$])dnl a variable
7f59d9c8 28 AC_REQUIRE([gl_PROG_AR_RANLIB])
fa23e171 29 # Code from module alloca-opt:
7ec98caf 30 # Code from module allocator:
d1fdcab7 31 # Code from module careadlinkat:
942f733f 32 # Code from module crypto/md5:
13c3daa4 33 # Code from module crypto/sha1:
3ce9d0d4
LL
34 # Code from module crypto/sha256:
35 # Code from module crypto/sha512:
36f13e16 36 # Code from module dosname:
f737437b 37 # Code from module dtoastr:
7a7ef429 38 # Code from module dup2:
1fd182f0
PE
39 # Code from module extensions:
40 AC_REQUIRE([gl_USE_SYSTEM_EXTENSIONS])
5fa4ac76 41 # Code from module filemode:
79ab4b7f 42 # Code from module getloadavg:
e275c824
PE
43 # Code from module getopt-gnu:
44 # Code from module getopt-posix:
45 # Code from module gettext-h:
67342916 46 # Code from module ignore-value:
1fd182f0 47 # Code from module include_next:
a451f14b 48 # Code from module intprops:
b6f5355a 49 # Code from module inttypes-incomplete:
54020294 50 # Code from module largefile:
7f59d9c8 51 AC_REQUIRE([AC_SYS_LARGEFILE])
ae0d7250 52 # Code from module lstat:
1fd182f0
PE
53 # Code from module mktime:
54 # Code from module multiarch:
24e0f6b1 55 # Code from module nocrash:
6db30f83 56 # Code from module pthread_sigmask:
ae0d7250 57 # Code from module readlink:
6db30f83 58 # Code from module signal:
2a84b02d 59 # Code from module sigprocmask:
24e0f6b1
PE
60 # Code from module snippet/_Noreturn:
61 # Code from module snippet/arg-nonnull:
62 # Code from module snippet/c++defs:
63 # Code from module snippet/warn-on-use:
401bf9b4 64 # Code from module socklen:
d1fdcab7 65 # Code from module ssize_t:
ae0d7250 66 # Code from module stat:
c378da0b
PE
67 # Code from module stdarg:
68 dnl Some compilers (e.g., AIX 5.3 cc) need to be in c99 mode
69 dnl for the builtin va_copy to work. With Autoconf 2.60 or later,
70 dnl AC_PROG_CC_STDC arranges for this. With older Autoconf AC_PROG_CC_STDC
71 dnl shouldn't hurt, though installers are on their own to set c99 mode.
72 AC_REQUIRE([AC_PROG_CC_STDC])
16c3e636 73 # Code from module stdbool:
1fd182f0 74 # Code from module stddef:
5f90be1b 75 # Code from module stdint:
77185bdf 76 # Code from module stdio:
79ab4b7f 77 # Code from module stdlib:
16c3e636 78 # Code from module strftime:
f6ce9b9a
PE
79 # Code from module strtoimax:
80 # Code from module strtoll:
b6f5355a 81 # Code from module strtoull:
a8a2bb29 82 # Code from module strtoumax:
ae0d7250 83 # Code from module symlink:
5fa4ac76 84 # Code from module sys_stat:
1fd182f0
PE
85 # Code from module time:
86 # Code from module time_r:
3ce9d0d4 87 # Code from module u64:
e275c824 88 # Code from module unistd:
a8a2bb29 89 # Code from module verify:
743c80a7
PE
90])
91
92# This macro should be invoked from ./configure.in, in the section
93# "Check for header files, types and library functions".
94AC_DEFUN([gl_INIT],
95[
96 AM_CONDITIONAL([GL_COND_LIBTOOL], [false])
97 gl_cond_libtool=false
98 gl_libdeps=
99 gl_ltlibdeps=
100 gl_m4_base='m4'
101 m4_pushdef([AC_LIBOBJ], m4_defn([gl_LIBOBJ]))
102 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gl_REPLACE_FUNCS]))
103 m4_pushdef([AC_LIBSOURCES], m4_defn([gl_LIBSOURCES]))
104 m4_pushdef([gl_LIBSOURCES_LIST], [])
105 m4_pushdef([gl_LIBSOURCES_DIR], [])
106 gl_COMMON
107 gl_source_base='lib'
fa23e171 108gl_FUNC_ALLOCA
19548d08
PE
109AC_CHECK_FUNCS_ONCE([readlinkat])
110gl_MD5
13c3daa4 111gl_SHA1
3ce9d0d4
LL
112gl_SHA256
113gl_SHA512
19548d08 114AC_REQUIRE([gl_C99_STRTOLD])
7a7ef429 115gl_FUNC_DUP2
54020294
PE
116if test $HAVE_DUP2 = 0 || test $REPLACE_DUP2 = 1; then
117 AC_LIBOBJ([dup2])
118fi
7a7ef429 119gl_UNISTD_MODULE_INDICATOR([dup2])
19548d08 120gl_FILEMODE
6a3e57bb 121gl_GETLOADAVG
8aeb5be9
PE
122if test $HAVE_GETLOADAVG = 0; then
123 AC_LIBOBJ([getloadavg])
124 gl_PREREQ_GETLOADAVG
125fi
19548d08
PE
126gl_STDLIB_MODULE_INDICATOR([getloadavg])
127gl_FUNC_GETOPT_GNU
8aeb5be9
PE
128if test $REPLACE_GETOPT = 1; then
129 AC_LIBOBJ([getopt])
130 AC_LIBOBJ([getopt1])
131 gl_PREREQ_GETOPT
132fi
19548d08
PE
133gl_MODULE_INDICATOR_FOR_TESTS([getopt-gnu])
134gl_FUNC_GETOPT_POSIX
8aeb5be9
PE
135if test $REPLACE_GETOPT = 1; then
136 AC_LIBOBJ([getopt])
137 AC_LIBOBJ([getopt1])
138 gl_PREREQ_GETOPT
139fi
19548d08
PE
140AC_REQUIRE([AC_C_INLINE])
141gl_INTTYPES_INCOMPLETE
142gl_FUNC_LSTAT
8aeb5be9
PE
143if test $REPLACE_LSTAT = 1; then
144 AC_LIBOBJ([lstat])
145 gl_PREREQ_LSTAT
146fi
19548d08
PE
147gl_SYS_STAT_MODULE_INDICATOR([lstat])
148gl_FUNC_MKTIME
8aeb5be9
PE
149if test $REPLACE_MKTIME = 1; then
150 AC_LIBOBJ([mktime])
151 gl_PREREQ_MKTIME
152fi
19548d08
PE
153gl_TIME_MODULE_INDICATOR([mktime])
154gl_MULTIARCH
2a84b02d
PE
155gl_FUNC_PTHREAD_SIGMASK
156if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
157 AC_LIBOBJ([pthread_sigmask])
24e0f6b1 158 gl_PREREQ_PTHREAD_SIGMASK
2a84b02d 159fi
6db30f83 160gl_SIGNAL_MODULE_INDICATOR([pthread_sigmask])
19548d08 161gl_FUNC_READLINK
8aeb5be9
PE
162if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
163 AC_LIBOBJ([readlink])
164 gl_PREREQ_READLINK
165fi
19548d08 166gl_UNISTD_MODULE_INDICATOR([readlink])
6db30f83 167gl_SIGNAL_H
19548d08
PE
168gl_TYPE_SOCKLEN_T
169gt_TYPE_SSIZE_T
c378da0b 170gl_STDARG_H
19548d08
PE
171AM_STDBOOL_H
172gl_STDDEF_H
173gl_STDINT_H
174gl_STDIO_H
175gl_STDLIB_H
176gl_FUNC_GNU_STRFTIME
f6ce9b9a 177gl_FUNC_STRTOIMAX
7f59d9c8 178if test $ac_cv_func_strtoimax = no; then
f6ce9b9a
PE
179 AC_LIBOBJ([strtoimax])
180 gl_PREREQ_STRTOIMAX
181fi
182gl_INTTYPES_MODULE_INDICATOR([strtoimax])
19548d08 183gl_FUNC_STRTOUMAX
7f59d9c8 184if test $ac_cv_func_strtoumax = no; then
8aeb5be9
PE
185 AC_LIBOBJ([strtoumax])
186 gl_PREREQ_STRTOUMAX
187fi
19548d08
PE
188gl_INTTYPES_MODULE_INDICATOR([strtoumax])
189gl_FUNC_SYMLINK
8aeb5be9
PE
190if test $HAVE_SYMLINK = 0 || test $REPLACE_SYMLINK = 1; then
191 AC_LIBOBJ([symlink])
192fi
19548d08
PE
193gl_UNISTD_MODULE_INDICATOR([symlink])
194gl_HEADER_SYS_STAT_H
195AC_PROG_MKDIR_P
196gl_HEADER_TIME_H
197gl_TIME_R
8aeb5be9
PE
198if test $HAVE_LOCALTIME_R = 0 || test $REPLACE_LOCALTIME_R = 1; then
199 AC_LIBOBJ([time_r])
200 gl_PREREQ_TIME_R
201fi
19548d08 202gl_TIME_MODULE_INDICATOR([time_r])
3ce9d0d4 203AC_REQUIRE([AC_C_INLINE])
19548d08
PE
204gl_UNISTD_H
205 gl_gnulib_enabled_dosname=false
206 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=false
2a84b02d 207 gl_gnulib_enabled_sigprocmask=false
19548d08 208 gl_gnulib_enabled_stat=false
f6ce9b9a 209 gl_gnulib_enabled_strtoll=false
19548d08
PE
210 gl_gnulib_enabled_strtoull=false
211 gl_gnulib_enabled_verify=false
212 func_gl_gnulib_m4code_dosname ()
213 {
214 if ! $gl_gnulib_enabled_dosname; then
215 gl_gnulib_enabled_dosname=true
216 fi
217 }
218 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36 ()
219 {
220 if ! $gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36; then
221AC_SUBST([LIBINTL])
222AC_SUBST([LTLIBINTL])
223 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=true
224 fi
225 }
2a84b02d
PE
226 func_gl_gnulib_m4code_sigprocmask ()
227 {
228 if ! $gl_gnulib_enabled_sigprocmask; then
229gl_SIGNALBLOCKING
230if test $HAVE_POSIX_SIGNALBLOCKING = 0; then
231 AC_LIBOBJ([sigprocmask])
232 gl_PREREQ_SIGPROCMASK
233fi
234gl_SIGNAL_MODULE_INDICATOR([sigprocmask])
235 gl_gnulib_enabled_sigprocmask=true
236 fi
237 }
19548d08
PE
238 func_gl_gnulib_m4code_stat ()
239 {
240 if ! $gl_gnulib_enabled_stat; then
241gl_FUNC_STAT
8aeb5be9
PE
242if test $REPLACE_STAT = 1; then
243 AC_LIBOBJ([stat])
244 gl_PREREQ_STAT
245fi
19548d08
PE
246gl_SYS_STAT_MODULE_INDICATOR([stat])
247 gl_gnulib_enabled_stat=true
248 if $condition; then
249 func_gl_gnulib_m4code_dosname
250 fi
6dd7e400
PE
251 if $condition; then
252 func_gl_gnulib_m4code_verify
253 fi
19548d08
PE
254 fi
255 }
f6ce9b9a
PE
256 func_gl_gnulib_m4code_strtoll ()
257 {
258 if ! $gl_gnulib_enabled_strtoll; then
259gl_FUNC_STRTOLL
260if test $HAVE_STRTOLL = 0; then
261 AC_LIBOBJ([strtoll])
262 gl_PREREQ_STRTOLL
263fi
264gl_STDLIB_MODULE_INDICATOR([strtoll])
265 gl_gnulib_enabled_strtoll=true
266 fi
267 }
19548d08
PE
268 func_gl_gnulib_m4code_strtoull ()
269 {
270 if ! $gl_gnulib_enabled_strtoull; then
271gl_FUNC_STRTOULL
8aeb5be9
PE
272if test $HAVE_STRTOULL = 0; then
273 AC_LIBOBJ([strtoull])
274 gl_PREREQ_STRTOULL
275fi
19548d08
PE
276gl_STDLIB_MODULE_INDICATOR([strtoull])
277 gl_gnulib_enabled_strtoull=true
278 fi
279 }
280 func_gl_gnulib_m4code_verify ()
281 {
282 if ! $gl_gnulib_enabled_verify; then
283 gl_gnulib_enabled_verify=true
284 fi
285 }
8aeb5be9 286 if test $REPLACE_GETOPT = 1; then
19548d08
PE
287 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36
288 fi
289 if test $REPLACE_LSTAT = 1; then
290 func_gl_gnulib_m4code_dosname
291 fi
292 if test $REPLACE_LSTAT = 1; then
293 func_gl_gnulib_m4code_stat
294 fi
2a84b02d 295 if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
6db30f83
PE
296 func_gl_gnulib_m4code_sigprocmask
297 fi
19548d08
PE
298 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
299 func_gl_gnulib_m4code_stat
300 fi
7f59d9c8 301 if test $ac_cv_func_strtoimax = no; then
f6ce9b9a
PE
302 func_gl_gnulib_m4code_verify
303 fi
7f59d9c8 304 if test $ac_cv_func_strtoimax = no && test $ac_cv_type_long_long_int = yes; then
f6ce9b9a
PE
305 func_gl_gnulib_m4code_strtoll
306 fi
7f59d9c8 307 if test $ac_cv_func_strtoumax = no; then
19548d08
PE
308 func_gl_gnulib_m4code_verify
309 fi
7f59d9c8 310 if test $ac_cv_func_strtoumax = no && test $ac_cv_type_unsigned_long_long_int = yes; then
19548d08
PE
311 func_gl_gnulib_m4code_strtoull
312 fi
313 m4_pattern_allow([^gl_GNULIB_ENABLED_])
314 AM_CONDITIONAL([gl_GNULIB_ENABLED_dosname], [$gl_gnulib_enabled_dosname])
315 AM_CONDITIONAL([gl_GNULIB_ENABLED_be453cec5eecf5731a274f2de7f2db36], [$gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36])
2a84b02d 316 AM_CONDITIONAL([gl_GNULIB_ENABLED_sigprocmask], [$gl_gnulib_enabled_sigprocmask])
19548d08 317 AM_CONDITIONAL([gl_GNULIB_ENABLED_stat], [$gl_gnulib_enabled_stat])
f6ce9b9a 318 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoll], [$gl_gnulib_enabled_strtoll])
19548d08
PE
319 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoull], [$gl_gnulib_enabled_strtoull])
320 AM_CONDITIONAL([gl_GNULIB_ENABLED_verify], [$gl_gnulib_enabled_verify])
743c80a7
PE
321 # End of code from modules
322 m4_ifval(gl_LIBSOURCES_LIST, [
323 m4_syscmd([test ! -d ]m4_defn([gl_LIBSOURCES_DIR])[ ||
324 for gl_file in ]gl_LIBSOURCES_LIST[ ; do
325 if test ! -r ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file ; then
326 echo "missing file ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file" >&2
327 exit 1
328 fi
329 done])dnl
330 m4_if(m4_sysval, [0], [],
331 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
332 ])
333 m4_popdef([gl_LIBSOURCES_DIR])
334 m4_popdef([gl_LIBSOURCES_LIST])
335 m4_popdef([AC_LIBSOURCES])
336 m4_popdef([AC_REPLACE_FUNCS])
337 m4_popdef([AC_LIBOBJ])
338 AC_CONFIG_COMMANDS_PRE([
339 gl_libobjs=
340 gl_ltlibobjs=
341 if test -n "$gl_LIBOBJS"; then
342 # Remove the extension.
343 sed_drop_objext='s/\.o$//;s/\.obj$//'
344 for i in `for i in $gl_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
345 gl_libobjs="$gl_libobjs $i.$ac_objext"
346 gl_ltlibobjs="$gl_ltlibobjs $i.lo"
347 done
348 fi
349 AC_SUBST([gl_LIBOBJS], [$gl_libobjs])
350 AC_SUBST([gl_LTLIBOBJS], [$gl_ltlibobjs])
351 ])
352 gltests_libdeps=
353 gltests_ltlibdeps=
354 m4_pushdef([AC_LIBOBJ], m4_defn([gltests_LIBOBJ]))
355 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gltests_REPLACE_FUNCS]))
356 m4_pushdef([AC_LIBSOURCES], m4_defn([gltests_LIBSOURCES]))
357 m4_pushdef([gltests_LIBSOURCES_LIST], [])
358 m4_pushdef([gltests_LIBSOURCES_DIR], [])
359 gl_COMMON
360 gl_source_base='tests'
361changequote(,)dnl
362 gltests_WITNESS=IN_`echo "${PACKAGE-$PACKAGE_TARNAME}" | LC_ALL=C tr abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ | LC_ALL=C sed -e 's/[^A-Z0-9_]/_/g'`_GNULIB_TESTS
363changequote([, ])dnl
364 AC_SUBST([gltests_WITNESS])
365 gl_module_indicator_condition=$gltests_WITNESS
366 m4_pushdef([gl_MODULE_INDICATOR_CONDITION], [$gl_module_indicator_condition])
19548d08 367 m4_pattern_allow([^gl_GNULIB_ENABLED_])
743c80a7
PE
368 m4_popdef([gl_MODULE_INDICATOR_CONDITION])
369 m4_ifval(gltests_LIBSOURCES_LIST, [
370 m4_syscmd([test ! -d ]m4_defn([gltests_LIBSOURCES_DIR])[ ||
371 for gl_file in ]gltests_LIBSOURCES_LIST[ ; do
372 if test ! -r ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file ; then
373 echo "missing file ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file" >&2
374 exit 1
375 fi
376 done])dnl
377 m4_if(m4_sysval, [0], [],
378 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
379 ])
380 m4_popdef([gltests_LIBSOURCES_DIR])
381 m4_popdef([gltests_LIBSOURCES_LIST])
382 m4_popdef([AC_LIBSOURCES])
383 m4_popdef([AC_REPLACE_FUNCS])
384 m4_popdef([AC_LIBOBJ])
385 AC_CONFIG_COMMANDS_PRE([
386 gltests_libobjs=
387 gltests_ltlibobjs=
388 if test -n "$gltests_LIBOBJS"; then
389 # Remove the extension.
390 sed_drop_objext='s/\.o$//;s/\.obj$//'
391 for i in `for i in $gltests_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
392 gltests_libobjs="$gltests_libobjs $i.$ac_objext"
393 gltests_ltlibobjs="$gltests_ltlibobjs $i.lo"
394 done
395 fi
396 AC_SUBST([gltests_LIBOBJS], [$gltests_libobjs])
397 AC_SUBST([gltests_LTLIBOBJS], [$gltests_ltlibobjs])
398 ])
399 LIBGNU_LIBDEPS="$gl_libdeps"
400 AC_SUBST([LIBGNU_LIBDEPS])
401 LIBGNU_LTLIBDEPS="$gl_ltlibdeps"
402 AC_SUBST([LIBGNU_LTLIBDEPS])
403])
404
405# Like AC_LIBOBJ, except that the module name goes
406# into gl_LIBOBJS instead of into LIBOBJS.
407AC_DEFUN([gl_LIBOBJ], [
408 AS_LITERAL_IF([$1], [gl_LIBSOURCES([$1.c])])dnl
409 gl_LIBOBJS="$gl_LIBOBJS $1.$ac_objext"
410])
411
412# Like AC_REPLACE_FUNCS, except that the module name goes
413# into gl_LIBOBJS instead of into LIBOBJS.
414AC_DEFUN([gl_REPLACE_FUNCS], [
415 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
416 AC_CHECK_FUNCS([$1], , [gl_LIBOBJ($ac_func)])
417])
418
419# Like AC_LIBSOURCES, except the directory where the source file is
420# expected is derived from the gnulib-tool parameterization,
421# and alloca is special cased (for the alloca-opt module).
422# We could also entirely rely on EXTRA_lib..._SOURCES.
423AC_DEFUN([gl_LIBSOURCES], [
424 m4_foreach([_gl_NAME], [$1], [
425 m4_if(_gl_NAME, [alloca.c], [], [
426 m4_define([gl_LIBSOURCES_DIR], [lib])
427 m4_append([gl_LIBSOURCES_LIST], _gl_NAME, [ ])
428 ])
429 ])
430])
431
432# Like AC_LIBOBJ, except that the module name goes
433# into gltests_LIBOBJS instead of into LIBOBJS.
434AC_DEFUN([gltests_LIBOBJ], [
435 AS_LITERAL_IF([$1], [gltests_LIBSOURCES([$1.c])])dnl
436 gltests_LIBOBJS="$gltests_LIBOBJS $1.$ac_objext"
437])
438
439# Like AC_REPLACE_FUNCS, except that the module name goes
440# into gltests_LIBOBJS instead of into LIBOBJS.
441AC_DEFUN([gltests_REPLACE_FUNCS], [
442 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
443 AC_CHECK_FUNCS([$1], , [gltests_LIBOBJ($ac_func)])
444])
445
446# Like AC_LIBSOURCES, except the directory where the source file is
447# expected is derived from the gnulib-tool parameterization,
448# and alloca is special cased (for the alloca-opt module).
449# We could also entirely rely on EXTRA_lib..._SOURCES.
450AC_DEFUN([gltests_LIBSOURCES], [
451 m4_foreach([_gl_NAME], [$1], [
452 m4_if(_gl_NAME, [alloca.c], [], [
453 m4_define([gltests_LIBSOURCES_DIR], [tests])
454 m4_append([gltests_LIBSOURCES_LIST], _gl_NAME, [ ])
455 ])
456 ])
457])
458
459# This macro records the list of files which have been installed by
460# gnulib-tool and may be removed by future gnulib-tool invocations.
461AC_DEFUN([gl_FILE_LIST], [
24e0f6b1
PE
462 build-aux/snippet/_Noreturn.h
463 build-aux/snippet/arg-nonnull.h
464 build-aux/snippet/c++defs.h
465 build-aux/snippet/warn-on-use.h
fa23e171 466 lib/alloca.in.h
7ec98caf 467 lib/allocator.c
d1fdcab7
PE
468 lib/allocator.h
469 lib/careadlinkat.c
470 lib/careadlinkat.h
36f13e16 471 lib/dosname.h
a451f14b 472 lib/dtoastr.c
7a7ef429 473 lib/dup2.c
5fa4ac76
PE
474 lib/filemode.c
475 lib/filemode.h
a451f14b
PE
476 lib/ftoastr.c
477 lib/ftoastr.h
79ab4b7f 478 lib/getloadavg.c
e275c824
PE
479 lib/getopt.c
480 lib/getopt.in.h
481 lib/getopt1.c
482 lib/getopt_int.h
483 lib/gettext.h
67342916 484 lib/ignore-value.h
a451f14b 485 lib/intprops.h
a8a2bb29 486 lib/inttypes.in.h
ae0d7250 487 lib/lstat.c
942f733f
PE
488 lib/md5.c
489 lib/md5.h
1fd182f0
PE
490 lib/mktime-internal.h
491 lib/mktime.c
2a84b02d 492 lib/pthread_sigmask.c
ae0d7250 493 lib/readlink.c
13c3daa4
LL
494 lib/sha1.c
495 lib/sha1.h
3ce9d0d4
LL
496 lib/sha256.c
497 lib/sha256.h
498 lib/sha512.c
499 lib/sha512.h
6db30f83 500 lib/signal.in.h
2a84b02d 501 lib/sigprocmask.c
ae0d7250 502 lib/stat.c
c378da0b 503 lib/stdarg.in.h
16c3e636 504 lib/stdbool.in.h
1fd182f0 505 lib/stddef.in.h
5f90be1b 506 lib/stdint.in.h
77185bdf 507 lib/stdio.in.h
79ab4b7f 508 lib/stdlib.in.h
16c3e636
PE
509 lib/strftime.c
510 lib/strftime.h
a8a2bb29
PE
511 lib/strtoimax.c
512 lib/strtol.c
f6ce9b9a 513 lib/strtoll.c
a8a2bb29
PE
514 lib/strtoul.c
515 lib/strtoull.c
516 lib/strtoumax.c
ae0d7250 517 lib/symlink.c
5fa4ac76 518 lib/sys_stat.in.h
1fd182f0
PE
519 lib/time.in.h
520 lib/time_r.c
3ce9d0d4 521 lib/u64.h
e275c824 522 lib/unistd.in.h
a8a2bb29 523 lib/verify.h
743c80a7 524 m4/00gnulib.m4
fa23e171 525 m4/alloca.m4
a451f14b 526 m4/c-strtod.m4
7a7ef429 527 m4/dup2.m4
1fd182f0 528 m4/extensions.m4
5fa4ac76 529 m4/filemode.m4
79ab4b7f 530 m4/getloadavg.m4
e275c824 531 m4/getopt.m4
743c80a7 532 m4/gnulib-common.m4
1fd182f0 533 m4/include_next.m4
a8a2bb29 534 m4/inttypes.m4
54020294 535 m4/largefile.m4
5f90be1b 536 m4/longlong.m4
ae0d7250 537 m4/lstat.m4
942f733f 538 m4/md5.m4
1fd182f0
PE
539 m4/mktime.m4
540 m4/multiarch.m4
24e0f6b1 541 m4/nocrash.m4
6db30f83 542 m4/pthread_sigmask.m4
ae0d7250 543 m4/readlink.m4
13c3daa4 544 m4/sha1.m4
3ce9d0d4
LL
545 m4/sha256.m4
546 m4/sha512.m4
6db30f83 547 m4/signal_h.m4
2a84b02d 548 m4/signalblocking.m4
401bf9b4 549 m4/socklen.m4
d1fdcab7 550 m4/ssize_t.m4
5fa4ac76 551 m4/st_dm_mode.m4
ae0d7250 552 m4/stat.m4
c378da0b 553 m4/stdarg.m4
16c3e636 554 m4/stdbool.m4
1fd182f0 555 m4/stddef_h.m4
5f90be1b 556 m4/stdint.m4
77185bdf 557 m4/stdio_h.m4
79ab4b7f 558 m4/stdlib_h.m4
16c3e636 559 m4/strftime.m4
f6ce9b9a
PE
560 m4/strtoimax.m4
561 m4/strtoll.m4
a8a2bb29
PE
562 m4/strtoull.m4
563 m4/strtoumax.m4
ae0d7250 564 m4/symlink.m4
5fa4ac76 565 m4/sys_stat_h.m4
1fd182f0
PE
566 m4/time_h.m4
567 m4/time_r.m4
16c3e636 568 m4/tm_gmtoff.m4
e275c824 569 m4/unistd_h.m4
1fd182f0
PE
570 m4/warn-on-use.m4
571 m4/wchar_t.m4
743c80a7 572])